# halftone2.cpp File Reference

Implementation of the "Halftone 2" layer. More...

`#include "halftone2.h"`
`#include "halftone.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Functions

| SYNFIG_LAYER_INIT (Halftone2)
| SYNFIG_LAYER_SET_NAME (Halftone2,"halftone2")
| SYNFIG_LAYER_SET_LOCAL_NAME (Halftone2, N_("Halftone 2"))
| SYNFIG_LAYER_SET_CATEGORY (Halftone2, N_("Filters"))
| SYNFIG_LAYER_SET_VERSION (Halftone2,"0.0")
| SYNFIG_LAYER_SET_CVS_ID (Halftone2,"$Id$")

## Detailed Description

Implementation of the "Halftone 2" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Halftone2 |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Halftone2 | ,
|  | "halftone2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Halftone2 | ,
|  | N_("Halftone 2") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Halftone2 | ,
|  | N_("Filters") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Halftone2 | ,
|  | "0.0" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Halftone2 | ,
|  | "$Id$" |  |
| ) |  |  |